#include <bindings.dsl.h>
#include <apr_ldap_init.h>

module Bindings.APR.LDAP.Init where
#strict_import
import Bindings.APR.LDAP
import Bindings.APR.Pools

#if APR_HAS_LDAP

#  num APU_LDAP_INSUFFICIENT_ACCESS
#  cinline APU_LDAP_SECURITY_ERROR, CInt -> IO CInt

#  ccall apr_ldap_ssl_init  , Ptr <apr_pool_t> -> Ptr CChar -> CInt -> Ptr (Ptr <apr_ldap_err_t>) -> IO CInt
#  ccall apr_ldap_ssl_deinit, IO CInt
#  ccall apr_ldap_init      , Ptr <apr_pool_t> -> Ptr (Ptr <LDAP>) -> Ptr CChar -> CInt -> CInt -> Ptr (Ptr <apr_ldap_err_t>) -> IO CInt
#  ccall apr_ldap_info      , Ptr <apr_pool_t> -> Ptr (Ptr <apr_ldap_err_t>) -> IO CInt

#endif
