#include <bindings.cmacros.h>
#include <apr_sdbm.h>

BC_GLOBALARRAY(APR_SDBM_DIRFEXT, char)
BC_GLOBALARRAY(APR_SDBM_PAGFEXT, char)

apr_status_t inline_apr_sdbm_fetch(apr_sdbm_t* db,
                                   apr_sdbm_datum_t* value,
                                   apr_sdbm_datum_t* key) {
    return apr_sdbm_fetch(db, value, *key);
}

apr_status_t inline_apr_sdbm_store(apr_sdbm_t* db,
                                   apr_sdbm_datum_t* key,
                                   apr_sdbm_datum_t* value,
                                   int opt) {
    return apr_sdbm_store(db, *key, *value, opt);
}

apr_status_t inline_apr_sdbm_delete(apr_sdbm_t* db,
                                    const apr_sdbm_datum_t* key) {
    return apr_sdbm_delete(db, *key);
}
