#include <bindings.dsl.h>
#include <apr_hooks.h>

module Bindings.APR.Hooks where
#strict_import
import Bindings.APR.Pools
import Bindings.APR.Tables

#num APR_HOOK_REALLY_FIRST
#num APR_HOOK_FIRST
#num APR_HOOK_MIDDLE
#num APR_HOOK_LAST
#num APR_HOOK_REALLY_LAST

#globalvar apr_hook_global_pool  , Ptr <apr_pool_t>
#globalvar apr_hook_debug_enabled, CInt
#globalvar apr_hook_debug_current, Ptr CChar

#ccall apr_hook_sort_register , Ptr CChar -> Ptr (Ptr <apr_array_header_t>) -> IO ()
#ccall apr_hook_sort_all      , Ptr ()
#ccall apr_hook_debug_show    , Ptr CChar -> Ptr (Ptr CChar) -> Ptr (Ptr CChar) -> IO ()
#ccall apr_hook_deregister_all, Ptr ()
