#include <bindings.dsl.h>
#include <apr_strmatch.h>

module Bindings.APR.StrMatch where
#strict_import
import Bindings.APR
import Bindings.APR.Pools

#starttype struct apr_strmatch_pattern
#  field compare, FunPtr (Ptr <apr_strmatch_pattern> -> Ptr CChar -> <apr_size_t> -> IO (Ptr CChar))
#  field pattern, Ptr CChar
#  field length , <apr_size_t>
#  field context, Ptr ()
#stoptype

#cinline apr_strmach, Ptr <apr_strmatch_pattern> -> Ptr CChar -> <apr_size_t> -> IO (Ptr CChar)

#ccall apr_strmatch_precompile, Ptr <apr_pool_t> -> Ptr CChar -> CInt -> IO (Ptr <apr_strmatch_pattern>)
